Skip to main content
`Ctrl`+`K`

# numpy.negative

numpy.negative(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'negative'>

  Numerical negative, element-wise.

  Parameters:
    x array_like or scalar

      Input array.

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray or scalar

      Returned array or scalar: y = -x. This is a scalar if x is a scalar.

  Examples

      >>> import numpy as np
      >>> np.negative([1.,-1.])
      array([-1.,  1.])

  The unary `-` operator can be used as a shorthand for `np.negative` on ndarrays.

      >>> x1 = np.array(([1., -1.]))
      >>> -x1
      array([-1.,  1.])